Last Comment Bug 310264 - unable to print forwarded mail (message/rfc822)
: unable to print forwarded mail (message/rfc822)
Status: RESOLVED FIXED
: fixed-seamonkey1.1.3, regression, verified1.8.1.5
Product: MailNews Core
Classification: Components
Component: Printing (show other bugs)
: Trunk
: x86 All
: -- normal with 10 votes (vote)
: ---
Assigned To: Ian Neal
:
Mentors:
: 322961 338586 338814 344564 349492 360764 365958 367363 377014 379346 384302 (view as bug list)
Depends on:
Blocks: 204350
  Show dependency treegraph
 
Reported: 2005-09-27 20:28 PDT by wind li
Modified: 2008-07-31 01:24 PDT (History)
20 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Simple patch v0.1 (Checked into trunk & 1.8 branch) (1.50 KB, patch)
2007-05-20 16:35 PDT, Ian Neal
mscott: review+
mscott: superreview+
jbecerra: approval1.8.1.5+
Details | Diff | Review

Description wind li 2005-09-27 20:28:11 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

In ThunderBird 1.5b1, select a mail forward to you, double click the forwarded
mail in the attachments to open it. Click print or print preview in the
toolbar,you will get a printing preparing dialog, and it will not finish at all.

Reproducible: Always

Steps to Reproduce:
1.In ThunderBird 1.5b1, select a mail forward to you
2.double click the forwarded mail in the attachments to open it
3.Click print or print preview in the toolbar

Actual Results:  
a printing preparing dialog, and it will not finish at all
Comment 1 Mike Cowperthwaite 2005-09-30 09:35:54 PDT
There's actually very little that can be done with a forwarded message; see 
bug 204350.
Comment 2 Mike Cowperthwaite 2005-11-02 10:22:17 PST
With the patch for bug 204350, it is possible to print a forwarded message; however, the results are not as desired; see bug 204350 comment 41.

Actual results:
The printout shows the source of the message, rather than the text; all attachments are shown in their source state, which could be pages and pages of BASE64.

Expected results:
Minimal headers, message text shown as displayed, attachments printed out just as if the message had been opened from a folder rather than an attachment.
Comment 3 Russell Howe 2005-11-17 00:13:06 PST
I can confirm this with Thunderbird version 1.5 (20051025)

Furthermore, saving the attached email to disk, opening it from there and trying to print causes Thunderbird to crash!

This seems to indicate that currently there is no way to print an attached message.
Comment 4 Russell Howe 2005-11-17 00:20:30 PST
I can also confirm this works in 1.0.7 (version 1.0.7 (20050923))

I can open an attached message, and open a message attached to that message, and print it no problem.
Comment 5 Mike Cowperthwaite 2005-11-17 08:14:02 PST
(In reply to comment #4)
> I can also confirm this works in 1.0.7 (version 1.0.7 (20050923))

Quite right! My fault for not checking this.  1.5rc1 hangs on print, as described with this bug; 1.6a1-1109 prints the message source.
Comment 6 Russell Howe 2006-02-20 06:00:04 PST
I can also confirm this with Thunderbird version 1.5 final release on win32 (20051201)
Comment 7 Mike Cowperthwaite 2006-02-20 09:28:31 PST
The workaround is to save the attachment as a .EML file, open that file using File|Open, and print from there.
Comment 8 Mike Cowperthwaite 2006-02-22 15:36:56 PST
*** Bug 322961 has been marked as a duplicate of this bug. ***
Comment 9 cignangulo 2006-05-22 11:48:58 PDT
*** Bug 338814 has been marked as a duplicate of this bug. ***
Comment 10 Mike Cowperthwaite 2006-05-22 12:22:59 PDT
*** Bug 338586 has been marked as a duplicate of this bug. ***
Comment 11 Marco Bonardo [::mak] 2006-09-04 09:34:31 PDT
confirmed on tb2a1 build 20060828

the eml attachment opens correctly, but TB prints a white page and so print preview, that shows a white page
Comment 12 Magnus Melin 2006-11-15 09:01:12 PST
*** Bug 360764 has been marked as a duplicate of this bug. ***
Comment 13 Magnus Melin 2007-01-05 08:36:57 PST
*** Bug 365958 has been marked as a duplicate of this bug. ***
Comment 14 Magnus Melin 2007-01-18 10:15:34 PST
*** Bug 367363 has been marked as a duplicate of this bug. ***
Comment 15 Scott MacGregor 2007-03-07 10:58:15 PST
Moving off bugs that didn't make the deadline for Thunderbird 2. 
Comment 16 Magnus Melin 2007-04-10 10:02:20 PDT
*** Bug 377014 has been marked as a duplicate of this bug. ***
Comment 17 Magnus Melin 2007-05-01 08:15:12 PDT
*** Bug 379346 has been marked as a duplicate of this bug. ***
Comment 18 Ian Neal 2007-05-16 03:40:05 PDT
*** Bug 349492 has been marked as a duplicate of this bug. ***
Comment 19 Ian Neal 2007-05-16 03:40:48 PDT
*** Bug 344564 has been marked as a duplicate of this bug. ***
Comment 20 Ian Neal 2007-05-16 05:29:02 PDT
if the param.originalMsgURI is imap rather than imap-message then Edit as New fails, setting that variable to an empty string means Edit as New works.
Comment 21 Ian Neal 2007-05-20 16:35:53 PDT
Created attachment 265463 [details] [diff] [review]
Simple patch v0.1 (Checked into trunk & 1.8 branch)

This patch:
* Changes two lines to take into account attached emails are now type=application/x-message-display instead of type=x-message-display
Comment 22 Ian Neal 2007-05-21 01:52:21 PDT
Comment on attachment 265463 [details] [diff] [review]
Simple patch v0.1 (Checked into trunk & 1.8 branch)

Checking in (trunk)
nsMsgPrintEngine.cpp;
new revision: 1.84; previous revision: 1.83
done
Comment 23 Ian Neal 2007-05-21 01:57:49 PDT
Comment on attachment 265463 [details] [diff] [review]
Simple patch v0.1 (Checked into trunk & 1.8 branch)

Requesting a= for TB and SM for very simple, low-risk regression fix.
Comment 24 David :Bienvenu 2007-05-21 09:35:38 PDT
Comment on attachment 265463 [details] [diff] [review]
Simple patch v0.1 (Checked into trunk & 1.8 branch)

I think we'd need 1.8.1.5 approval for this...thx a lot for fixing this, Ian.
Comment 25 Ian Neal 2007-05-23 06:07:12 PDT
Fixed on trunk, just waiting for branch approvals -> Resolved / Fixed
Comment 26 Magnus Melin 2007-06-15 07:38:59 PDT
*** Bug 384302 has been marked as a duplicate of this bug. ***
Comment 27 juan becerra [:juanb] 2007-06-27 10:57:41 PDT
Comment on attachment 265463 [details] [diff] [review]
Simple patch v0.1 (Checked into trunk & 1.8 branch)

approved for 1.8.1.5, a=juanb for release-drivers
Comment 28 Ian Neal 2007-06-27 14:32:05 PDT
Comment on attachment 265463 [details] [diff] [review]
Simple patch v0.1 (Checked into trunk & 1.8 branch)

Checking in (1.8 branch)
nsMsgPrintEngine.cpp;
new revision: 1.78.12.1; previous revision: 1.78
done
Comment 29 Stephen Donner [:stephend] - PTO; back on 5/28 2007-07-10 21:43:37 PDT
I just finished printing a couple levels of forwarded messages, just fine, in both the 3-pane and the message pane, with:

version 2.0.0.5pre (20070710) running on Windows XP SP2.

Replacing fixed1.8.1.5 keyword with verified1.8.1.5
Comment 30 Russell Howe 2007-08-14 01:35:35 PDT
Works for me on Thunderbird 2.0.0.6 on Win2k AS

Note You need to log in before you can comment on or make changes to this bug.